Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSurfaceOpening Class Reference
GoSdk/Tools » Surface

## Description

Represents a surface opening tool.

Inheritance diagram for GoSurfaceOpening:

## Public Member Functions
GoSurfaceOpeningAngle | GoSurfaceOpening_AngleMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening Angle measurement object. More...
k64f | GoSurfaceOpening_AngleTolerance (GoSurfaceOpening tool)
| Gets the angle tolerance. More...
kBool | GoSurfaceOpening_AutoTiltEnabled (GoSurfaceOpening tool)
| Gets the enabled state of auto-tilt. More...
GoSurfaceOpeningCenterPoint | GoSurfaceOpening_CenterPoint (GoSurfaceHole tool)
| Returns a GoSurfaceOpening center point feature object. More...
k64f | GoSurfaceOpening_DepthLimit (GoSurfaceOpening tool)
| Gets the depth limit value. More...
kBool | GoSurfaceOpening_DepthLimitEnabled (GoSurfaceOpening tool)
| Gets the enabled state of the depth limit. More...
kStatus | GoSurfaceOpening_EnableAutoTilt (GoSurfaceOpening tool, kBool enable)
| Sets the enabled state of auto-tilt. More...
kStatus | GoSurfaceOpening_EnableDepthLimit (GoSurfaceOpening tool, kBool enable)
| Sets the enabled state of the depth limit. More...
kStatus | GoSurfaceOpening_EnablePartialDetection (GoSurfaceOpening tool, kBool enable)
| Sets the enabled state of partial detection. More...
kStatus | GoSurfaceOpening_EnableRefRegions (GoSurfaceOpening tool, kBool enable)
| Sets the enabled state of reference regions. More...
kStatus | GoSurfaceOpening_EnableRegion (GoSurfaceOpening tool, kBool enable)
| Sets the enabled state of the tool region. More...
GoSurfaceOpeningLength | GoSurfaceOpening_LengthMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening Length measurement object. More...
k64f | GoSurfaceOpening_LengthTolerance (GoSurfaceOpening tool)
| Gets the length tolerance. More...
k64f | GoSurfaceOpening_NominalAngle (GoSurfaceOpening tool)
| Gets the nominal angle. More...
k64f | GoSurfaceOpening_NominalLength (GoSurfaceOpening tool)
| Gets the nominal length. More...
k64f | GoSurfaceOpening_NominalRadius (GoSurfaceOpening tool)
| Gets the nominal radius. More...
k64f | GoSurfaceOpening_NominalWidth (GoSurfaceOpening tool)
| Gets the nominal width. More...
kBool | GoSurfaceOpening_PartialDetectionEnabled (GoSurfaceOpening tool)
| Gets the enabled state of partial detection. More...
GoSurfaceRegion2d | GoSurfaceOpening_RefRegionAt (GoSurfaceOpening tool, kSize index)
| Gets the reference region object at the specified index. More...
kSize | GoSurfaceOpening_RefRegionCount (GoSurfaceOpening tool)
| Gets the reference region count. More...
kBool | GoSurfaceOpening_RefRegionsEnabled (GoSurfaceOpening tool)
| Gets the enabled state of reference regions. More...
GoRegion3d | GoSurfaceOpening_Region (GoSurfaceOpening tool)
| Returns the region object for the tool. More...
kBool | GoSurfaceOpening_RegionEnabled (GoSurfaceOpening tool)
| Gets the enabled state of the tool region. More...
kStatus | GoSurfaceOpening_SetAngleTolerance (GoSurfaceOpening tool, k64f value)
| Sets the angle tolerance. More...
kStatus | GoSurfaceOpening_SetDepthLimit (GoSurfaceOpening tool, k64f value)
| Sets the depth limit value. More...
kStatus | GoSurfaceOpening_SetLengthTolerance (GoSurfaceOpening tool, k64f value)
| Sets the length tolerance. More...
kStatus | GoSurfaceOpening_SetNominalAngle (GoSurfaceOpening tool, k64f value)
| Sets the nominal angle. More...
kStatus | GoSurfaceOpening_SetNominalLength (GoSurfaceOpening tool, k64f value)
| Sets the nominal length. More...
kStatus | GoSurfaceOpening_SetNominalRadius (GoSurfaceOpening tool, k64f value)
| Sets the nominal radius. More...
kStatus | GoSurfaceOpening_SetNominalWidth (GoSurfaceOpening tool, k64f value)
| Sets the nominal width. More...
kStatus | GoSurfaceOpening_SetRefRegionCount (GoSurfaceOpening tool, kSize count)
| Sets the reference region count. More...
kStatus | GoSurfaceOpening_SetTiltXAngle (GoSurfaceOpening tool, k64f value)
| Sets the tilt X-angle. More...
kStatus | GoSurfaceOpening_SetTiltYAngle (GoSurfaceOpening tool, k64f value)
| Sets the tilt Y-angle. More...
kStatus | GoSurfaceOpening_SetWidthTolerance (GoSurfaceOpening tool, k64f value)
| Sets the width tolerance. More...
k64f | GoSurfaceOpening_TiltXAngle (GoSurfaceOpening tool)
| Gets the tilt X-angle. More...
k64f | GoSurfaceOpening_TiltYAngle (GoSurfaceOpening tool)
| Gets the tilt Y-angle. More...
GoSurfaceOpeningType | GoSurfaceOpening_Type (GoSurfaceOpening tool)
| Gets the surface opening type. More...
GoSurfaceOpeningWidth | GoSurfaceOpening_WidthMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening Width measurement object. More...
k64f | GoSurfaceOpening_WidthTolerance (GoSurfaceOpening tool)
| Gets the width tolerance. More...
GoSurfaceOpeningX | GoSurfaceOpening_XMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening X measurement object. More...
GoSurfaceOpeningY | GoSurfaceOpening_YMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening Y measurement object. More...
GoSurfaceOpeningZ | GoSurfaceOpening_ZMeasurement (GoSurfaceOpening tool)
| Returns a GoSurfaceOpening Z measurement object. More...
kStatus | GoSurfaceTool_SetSource (GoSurfaceTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoSurfaceTool_SetXAnchor (GoSurfaceTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoSurfaceTool_SetYAnchor (GoSurfaceTool tool, k32s id)
| Sets the Y-anchoring source. More...
kStatus | GoSurfaceTool_SetZAnchor (GoSurfaceTool tool, k32s id)
| Sets the Z-anchoring source. More...
kStatus | GoSurfaceTool_SetZAngleAnchor (GoSurfaceTool tool, k32s id)
| Sets the ZAngle-anchoring source. More...
GoDataSource | GoSurfaceTool_Source (GoSurfaceTool tool)
| Gets the data source. More...
k32u | GoSurfaceTool_SourceOptionAt (GoSurfaceTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoSurfaceTool_SourceOptionCount (GoSurfaceTool tool)
| Gets the data source option list count. More...
k32s | GoSurfaceTool_XAnchor (GoSurfaceTool tool)
| Gets the current X-anchoring source. More...
kBool | GoSurfaceTool_XAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoSurfaceTool_XAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoSurfaceTool_XAnchorOptionCount (GoSurfaceTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoSurfaceTool_YAnchor (GoSurfaceTool tool)
| Gets the current Y-anchoring source. More...
kBool | GoSurfaceTool_YAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Y-anchoring source has been set for Y-anchoring. More...
k32u | GoSurfaceTool_YAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Y-anchoring option at the given index. More...
kSize | GoSurfaceTool_YAnchorOptionCount (GoSurfaceTool tool)
| Gets the Y-anchoring option list count. More...
k32s | GoSurfaceTool_ZAnchor (GoSurfaceTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoSurfaceTool_ZAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoSurfaceTool_ZAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
k32s | GoSurfaceTool_ZAngleAnchor (GoSurfaceTool tool)
| Sets the ZAngle-anchoring source. More...
kBool | GoSurfaceTool_ZAngleAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid ZAngle - anchoring source has been set for ZAngle - anchoring. More...
k32u | GoSurfaceTool_ZAngleAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the ZAngle-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAngleAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
kStatus | GoTool_AddExtMeasurement (GoTool tool, kType type, kBool isFilterable, GoExtMeasurement *measurement)
| Adds the given custom measurement to the tool set. More...
kStatus | GoTool_AddMeasurement (GoTool tool, kType type, kBool isFilterable, GoMeasurement *measurement)
| Adds the given measurement to the tool set. More...
kStatus | GoTool_ClearMeasurements (GoTool tool)
| Removes all measurements for the given tool. More...
GoFeature | GoTool_FeatureOutputAt (GoTool tool, kSize index)
| Retrieves the feature output at the given index. More...
kSize | GoTool_FeatureOutputCount (GoTool tool)
| Returns the feature output count. More...
GoFeature | GoTool_FindFeatureOutputByType (GoTool tool, GoFeatureDataType type)
| Retrieves the first found instance of a feature output for a given enumeration type. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_RemoveMeasurement (GoTool tool, kSize index)
| Removes a measurement at a given index. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...
kStatus | GoToolUtil_ParseStreamOptions (GoTool tool, kXml xml, kXmlItem item, kArrayList list)
| Parses stream options for the given tool. More...

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h